#ifndef _FS_OFDDOC_C_H_
#define _FS_OFDDOC_C_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "fs_basictypes_c.h"
#include "fs_common_c.h"
#include "fs_ofdpage_c.h"

FSErrorCode FSDK_OFDDoc_Create(FS_OFDDOC_HANDLE* ofddoc_return_value);
FSErrorCode FSDK_OFDDoc_Create0(const wchar_t* path, const wchar_t* password, FS_OFDDOC_HANDLE* ofddoc_return_value);
FSErrorCode FSDK_OFDDoc_Release(FS_OFDDOC_HANDLE ofddoc_handle);
FSErrorCode FSDK_OFDDoc_IsEmpty(FS_OFDDOC_HANDLE ofddoc_handle, FS_BOOL* return_value);
FSErrorCode FSDK_OFDDoc_GetPageCount(FS_OFDDOC_HANDLE ofddoc_handle, int* return_value);
FSErrorCode FSDK_OFDDoc_GetPage(FS_OFDDOC_HANDLE ofddoc_handle, int index, FS_OFDPAGE_HANDLE* return_value);
#ifdef __cplusplus
}
#endif
#endif
